<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('pallets', function(Blueprint $table) {
			$table->foreign('plan_id')->references('id')->on('plans')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('pallets', function(Blueprint $table) {
			$table->foreign('product_id')->references('id')->on('products')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('pallets', function(Blueprint $table) {
			$table->foreign('size_id')->references('id')->on('sizes')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('pallets', function(Blueprint $table) {
			$table->foreign('surface_id')->references('id')->on('surfaces')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('pallets', function(Blueprint $table) {
			$table->foreign('color_id')->references('id')->on('colors')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('pallets', function(Blueprint $table) {
			$table->foreign('weight_id')->references('id')->on('weights')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('travelcards', function(Blueprint $table) {
			$table->foreign('plan_id')->references('id')->on('plans')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('travelcards', function(Blueprint $table) {
			$table->foreign('product_id')->references('id')->on('products')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('travelcards', function(Blueprint $table) {
			$table->foreign('size_id')->references('id')->on('sizes')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('travelcards', function(Blueprint $table) {
			$table->foreign('surface_id')->references('id')->on('surfaces')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('travelcards', function(Blueprint $table) {
			$table->foreign('color_id')->references('id')->on('colors')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('travelcards', function(Blueprint $table) {
			$table->foreign('weight_id')->references('id')->on('weights')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('travelcard_pallet', function(Blueprint $table) {
			$table->foreign('pallet_id')->references('id')->on('pallets')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('travelcard_pallet', function(Blueprint $table) {
			$table->foreign('travelcard_id')->references('id')->on('travelcards')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('travelcard_pallet', function(Blueprint $table) {
			$table->foreign('from_pallet_id')->references('id')->on('pallets')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
	}

	public function down()
	{
		Schema::table('pallets', function(Blueprint $table) {
			$table->dropForeign('pallets_plan_id_foreign');
		});
		Schema::table('pallets', function(Blueprint $table) {
			$table->dropForeign('pallets_product_id_foreign');
		});
		Schema::table('pallets', function(Blueprint $table) {
			$table->dropForeign('pallets_size_id_foreign');
		});
		Schema::table('pallets', function(Blueprint $table) {
			$table->dropForeign('pallets_surface_id_foreign');
		});
		Schema::table('pallets', function(Blueprint $table) {
			$table->dropForeign('pallets_color_id_foreign');
		});
		Schema::table('pallets', function(Blueprint $table) {
			$table->dropForeign('pallets_weight_id_foreign');
		});
		Schema::table('travelcards', function(Blueprint $table) {
			$table->dropForeign('travelcards_plan_id_foreign');
		});
		Schema::table('travelcards', function(Blueprint $table) {
			$table->dropForeign('travelcards_product_id_foreign');
		});
		Schema::table('travelcards', function(Blueprint $table) {
			$table->dropForeign('travelcards_size_id_foreign');
		});
		Schema::table('travelcards', function(Blueprint $table) {
			$table->dropForeign('travelcards_surface_id_foreign');
		});
		Schema::table('travelcards', function(Blueprint $table) {
			$table->dropForeign('travelcards_color_id_foreign');
		});
		Schema::table('travelcards', function(Blueprint $table) {
			$table->dropForeign('travelcards_weight_id_foreign');
		});
		Schema::table('travelcard_pallet', function(Blueprint $table) {
			$table->dropForeign('travelcard_pallet_pallet_id_foreign');
		});
		Schema::table('travelcard_pallet', function(Blueprint $table) {
			$table->dropForeign('travelcard_pallet_travelcard_id_foreign');
		});
		Schema::table('travelcard_pallet', function(Blueprint $table) {
			$table->dropForeign('travelcard_pallet_from_pallet_id_foreign');
		});
	}
}